Results 1 to 6 of 6

Thread: xcb_io.c:507: _XReply: Assertion `!dpy->xcb->reply_data' failed.

  1. #1
    Join Date
    May 2009
    Location
    Germany, Greece
    Posts
    12

    Default xcb_io.c:507: _XReply: Assertion `!dpy->xcb->reply_data' failed.

    Hello everybody,

    after installing the latest ATI drivers I consistently get the following errors, in some cases preventing program execution:

    Code:
    > fglrxinfo 
    fglrxinfo: xcb_io.c:507: _XReply: Assertion `!dpy->xcb->reply_data' failed.
    Aborted
    > glxgears 
    glxgears: xcb_io.c:507: _XReply: Assertion `!dpy->xcb->reply_data' failed.
    Aborted
    > firefox 
    firefox-bin: xcb_io.c:507: _XReply: Assertion `!dpy->xcb->reply_data' failed.
    firefox-bin: xcb_io.c:507: _XReply: Assertion `!dpy->xcb->reply_data' failed.
    firefox continues, for the former two the error is fatal.

    Code:
    > fgfs
    fgfs: xcb_io.c:507: _XReply: Assertion `!dpy->xcb->reply_data' failed.
    Aborted
    > paraview 
    paraview: xcb_io.c:507: _XReply: Assertion `!dpy->xcb->reply_data' failed.
    Aborted
    The system is an up-to-date opensuse 11.4, here are the versions of xcb and fglrx:
    Code:
    zypper if xorg-x11-libxcb ati-fglrxG02-kmp-default x11-video-fglrxG02
    Loading repository data...
    Reading installed packages...
    
    
    Information for package xorg-x11-libxcb:
    
    Repository: @System
    Name: xorg-x11-libxcb
    Version: 7.6_1.7-8.1
    Arch: x86_64
    Vendor: openSUSE
    Installed: Yes
    Status: up-to-date
    Installed Size: 537.0 KiB
    Summary: X.Org xcb library
    Description: 
    This package contains the X.Org xcb library.
    
    Information for package ati-fglrxG02-kmp-default:
    
    Repository: @System
    Name: ati-fglrxG02-kmp-default
    Version: 8.872_k2.6.37.1_1.2-50.1
    Arch: x86_64
    Vendor: obs://build.suse.de/home:sndirsch:drivers
    Installed: Yes
    Status: up-to-date
    Installed Size: 5.4 MiB
    Summary: ATI "fglrx" driver kernel module
    Description: 
    ATI "fglrx" driver kernel module for ATI Radeon HD 2000 and later.
    
    Information for package x11-video-fglrxG02:
    
    Repository: @System
    Name: x11-video-fglrxG02
    Version: 8.872-52.1
    Arch: x86_64
    Vendor: obs://build.suse.de/home:sndirsch:drivers
    Installed: Yes
    Status: up-to-date
    Installed Size: 133.9 MiB
    Summary: X Window display driver for the ATI graphics accelerators
    Description: 
    Display driver files for the ATI Radeon HD 2000 and later. This package
    provides 2D display drivers, control panel source coude and hardware
    accelerated OpenGL.
    Anybody having solved the same problem? A search has shown that debian & ubuntu distributions have faced quite similar but not exactly the same problem before, although no workable solution was given (I do not see any packages xcb packages that I could downgrade to).

    Best regards,

    George

  2. #2

    Default Re: xcb_io.c:507: _XReply: Assertion `!dpy->xcb->reply_data' failed.

    Hi,

    I also had this problem. I solved it by removing the 32-bit drivers (which were installed next to the correct 64-bit drivers).

    Cheers,

    -- Jason

  3. #3
    Join Date
    May 2009
    Location
    Germany, Greece
    Posts
    12

    Default Re: xcb_io.c:507: _XReply: Assertion `!dpy->xcb->reply_data' failed.

    Dear Jason

    thank you for your reply! I am travelling so I can try it as soon as I return home. Meanwhile, 32bit drivers of what? libxcb, ati drivers or other libraries?

    kind Regards,

    George

  4. #4
    Join Date
    May 2009
    Location
    Germany, Greece
    Posts
    12

    Default Re: xcb_io.c:507: _XReply: Assertion `!dpy->xcb->reply_data' failed.

    I tried deinstalling 32bit libxcb, to no avail. The error persists.

    Regards,

    George

  5. #5
    Join Date
    May 2009
    Location
    Germany, Greece
    Posts
    12

    Default Re: xcb_io.c:507: _XReply: Assertion `!dpy->xcb->reply_data' failed.

    Hello,

    for anybody who might have the same problem: I deinstalled the ATI X11 drivers and the ATI kernel modules, reinstalled, rebooted and the error message is gone. Case closed :-) [for me at least]

  6. #6

    Default Re: xcb_io.c:507: _XReply: Assertion `!dpy->xcb->reply_data' failed.

    Quote Originally Posted by gskillas View Post
    Hello,

    for anybody who might have the same problem: I deinstalled the ATI X11 drivers and the ATI kernel modules, reinstalled, rebooted and the error message is gone. Case closed :-) [for me at least]
    Thanks,
    The same procedure has solved my problems with mysql-workbench application

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •